PGPOOL(8)

NAME
pgpool - PostgreSQL connection pool daemon

SYNOPSIS
pgpool [ -c] [ -f config_file ] [ -F pcp_config_file ] [ -a hba_file ] [ -n ] [ -D ] [ -d ]

pgpool [ -f config_file ] [ -F pcp_config_file ] [ -a hba_file ] [ -m {s[mart]|f[ast]|i[mmediate]} ] stop

pgpool [ -f config_file ] [ -F pcp_config_file ] [ -a hba_file ] reload

DESCRIPTION
pgpool is a connection pool server for PostgreSQL. pgpool runs between PostgreSQL's client and server. Any PostgreSQL client can connect to pgpool as if it's a real PostgreSQL server. pgpool caches the connection to the PostgreSQL server to reduce the overhead involved in establishing the connection to it.

pgpool can also be used with two PostgreSQL servers for fail over purposes. If the first server goes down, pgpool will automatically switch to the secondary server.

pgpool is typically started and stopped via system initialization scripts.

INVOCATION

pgpool [ options... ]
    Starts as a daemon in the background (unless -n is given).

pgpool [ options... ] stop
    Shutdown.

pgpool [ options... ] reload
    Reloads the configuration.

OPTIONS

-a path

--hba-file path Sets the path to the pool_hba.conf configuration file (default: /etc/pgpool2/pgpool_hba.conf).

-c

--clear-cache Clears the query cache.

-d

--debug Print lots of debug messages.

-f path

--config-file path Sets the path to the pgpool.conf configuration file (default: /etc/pgpool2/pgpool.conf).

-F path

--pcp-config-file path Sets the path to the pcp.conf configuration file (default: /etc/pgpool2/pcp.conf).

-h

--help Print a help message and exit.

-m mode

--mode mode Shutdown mode: smart, fast, or immediate.

-n

--no-daemon Foreground mode. Error messages go to stdout or stderr, which could be piped out to log processors such as logger(1) or rotatelogs(8). To daemonize, explicitly invoke pgpool in background.

-D

--discard-status Discard pgpool_status file and do not restore previous status.

-v

--version Print version and exit.

FILES

/etc/pgpool2/pgpool.conf
    Default configuration file

/etc/pgpool2/pool_hba.conf
    Host Based Access configuration file

/etc/pgpool2/pcp.conf
    PCP commands configuration file

SEE ALSO
logger(1), postmaster(1), rotatelogs(8)

Additional information can be found in the pgpool README file.